data:extend(
{
  { type = "item", name = "metal-scrap",
    icon = "__scrapmod__/graphics/scrap.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "d[scrap]",
    stack_size = math.min(data.raw.item["iron-ore"].stack_size,data.raw.item["copper-ore"].stack_size)
  },

  { type = "recipe", name = "separate-scrap",
	icon = "__scrapmod__/graphics/scrap.png",
	subgroup = "raw-resource",
    energy_required = 2,
    enabled = "false",
    category = "crafting-with-fluid",
    ingredients =
    {
      {type="item", name="metal-scrap", amount=1},
      {type="fluid", name="sulfuric-acid", amount=.1}
    },
    results=
    {
      {type="item", name="iron-ore", amount=1},
      {type="item", name="copper-ore", amount=1},
    },
  },
  {
    type = "recipe-category",
    name = "recycling"
  },

  { type = "recipe", name = "recycling-machine",
    enabled = "false",
    energy_required = 6,
    ingredients =
    {
      {"steel-furnace", 2},
      {"burner-inserter", 3},
    },
    result = "recycling-machine"
  },
  
  { type = "item", name = "recycling-machine",
    icon = "__scrapmod__/graphics/recyclericon.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "b[recycling-machine]",
    place_result = "recycling-machine",
    stack_size = 50
  },

  {
    type = "furnace",
    name = "recycling-machine",
    icon = "__scrapmod__/graphics/recyclericon.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "recycling-machine"},
    max_health = 150,
    corpse = "big-remnants",
    repair_sound = { filename = "__base__/sound/manual-repair-simple.ogg" },
    mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    working_sound =
    {
      sound = { filename = "__base__/sound/furnace.ogg", }
    },
    resistances =
    {
      {
        type = "fire",
        percent = 80
      },
      {
        type = "explosion",
        percent = 30
      }
    },
    collision_box = {{-1.0, -1.0}, {1.0, 1.0}},--{{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-1.2, -1.5}, {1.2, 1.5}},--{{-0.8, -1}, {0.8, 1}},
    smelting_categories = {"recycling"},
    result_inventory_size = 1,
    smelting_energy_consumption = "150kW",
    smelting_speed = 1,
    source_inventory_size = 1,
    energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 0.5,
          position = {0, 0},
          starting_vertical_speed = 0.05
        }
      }
    },
    on_animation =
    {
      filename = "__base__/graphics/entity/steel-furnace/steel-furnace.png",
      priority = "extra-high",
      frame_width = 81,
      frame_height = 64,
      frame_count = 1,
      shift = {0.5, 0.05 },
	  scale = 3/2,
    },
    off_animation =
    {
      filename = "__base__/graphics/entity/steel-furnace/steel-furnace.png",
      priority = "extra-high",
      frame_width = 81,
      frame_height = 64,
      frame_count = 1,
      shift = {0.5, 0.05 },
	  scale = 3/2,
    },
    fire_animation =
    {
      filename = "__base__/graphics/entity/steel-furnace/steel-furnace-fire.png",
      priority = "extra-high",
      frame_width = 36,
      frame_height = 19,
      frame_count = 12,
      shift = { -0.05*3/2, 0.7*3/2},
	  scale = 2.9/2,
    },
    --fast_replaceable_group = "furnace"
  },

})


if data.raw.technology["advanced-material-processing"].effects then
	table.insert(data.raw.technology["advanced-material-processing"].effects,{type="unlock-recipe",recipe="recycling-machine"})
else
	data.raw.technology["advanced-material-processing"].effects={{type="unlock-recipe",recipe="recycling-machine"}}
end
table.insert(data.raw.technology["advanced-material-processing"].effects,{type="unlock-recipe",recipe="separate-scrap"})

